> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Budget



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/projects/{projectId}/areas/budget
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/budget:
    put:
      tags:
        - Project Areas
      summary: Update Budget
      operationId: ProjectAreasController_updateBudget_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectAreaBudgetDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    UpdateProjectAreaBudgetDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        mode:
          type: string
          enum:
            - percentage
            - square_area
        budgetTotal:
          anyOf:
            - type: string
              pattern: ^\d{1,12}(\.\d{1,2})?$
            - type: 'null'
        areas:
          maxItems: 500
          type: array
          items:
            type: object
            properties:
              areaId:
                type: string
              budgetPercent:
                anyOf:
                  - type: string
                    pattern: ^\d{1,3}(\.\d{1,4})?$
                  - type: 'null'
              squareArea:
                anyOf:
                  - type: string
                    pattern: ^\d{1,12}(\.\d{1,2})?$
                  - type: 'null'
              squareAreaCost:
                anyOf:
                  - type: string
                    pattern: ^\d{1,12}(\.\d{1,2})?$
                  - type: 'null'
            required:
              - areaId
              - budgetPercent
              - squareArea
              - squareAreaCost
            additionalProperties: false
      required:
        - version
        - mode
        - budgetTotal
        - areas
      additionalProperties: false
    ProjectAreaMutationResponseDto:
      type: object
      properties:
        version:
          type: number
        affectedAreaId:
          type: string
          nullable: true
      required:
        - version
        - affectedAreaId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````